Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface ClipBridge

All Superinterfaces:
  Bridge

All Known Implementing Classes:
  SVGClipPathElementBridge

public interface ClipBridge
extends Bridge

Factory class for vending `Shape` objects that represents a clipping area.

Method Summary
`ClipRable` | `createClip(BridgeContext ctx, org.w3c.dom.Element clipElement, org.w3c.dom.Element clipedElement, GraphicsNode clipedNode)` Creates a `Clip` according to the specified parameters.

Methods inherited from interface org.apache.batik.bridge.Bridge
`getInstance, getLocalName, getNamespaceURI`

Method Detail

### createClip

    public ClipRable createClip(BridgeContext ctx,
                                org.w3c.dom.Element clipElement,
                                org.w3c.dom.Element clipedElement,
                                GraphicsNode clipedNode)

  Creates a `Clip` according to the specified parameters.

  Parameters:
    `ctx` - the bridge context to use
    `clipElement` - the element that defines the clip
    `clipedElement` - the element that references the clip element
    `clipedNode` - the graphics node to clip

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.